# operator==,!=(std::linear_congruential_engine)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | linear congruential engine

template< class UIntType, UIntType a, UIntType c, UIntType m > bool operator==( const linear_congruential_engine<UIntType,a,c,m>& lhs, const linear_congruential_engine<UIntType,a,c,m>& rhs ); | (1) | (since C++11)
template< class UIntType, UIntType a, UIntType c, UIntType m > bool operator!=( const linear_congruential_engine<UIntType,a,c,m>& lhs, const linear_congruential_engine<UIntType,a,c,m>& rhs ); | (2) | (since C++11)

Compares two pseudo-random number engines. Two engines are equal, if their internal states are equivalent, that is, if they would generate equivalent values for any number of calls of operator().

### Parameters

lhs, rhs | - | engines to compare

### Return value

1) true if the engines are equivalent, false otherwise.
2) true if the engines are not equivalent, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/linear_congruential_engine/operator_cmp&oldid=50972"